Imagick::sampleImage
Imagick::segmentImage
Imagick
PHP Manual

# Imagick::scaleImage

(PECL imagick 2.0.0)

Imagick::scaleImage — Scales the size of an image

### Description

bool Imagick::scaleImage ( int `$cols` , int `$rows` [, bool `$bestfit` = false ] )

Scales the size of an image to the given dimensions. The other parameter will be calculated if 0 is passed as either param.

> Note: The behavior of the parameter `bestfit` changed in Imagick 3.0.0. Before this version given dimensions 400x400 an image of dimensions 200x150 would be left untouched. In Imagick 3.0.0 and later the image would be scaled up to size 400x300 as this is the "best fit" for the given dimensions. If `bestfit` parameter is used both width and height must be given.

### Parameters

`cols`

`rows`

`bestfit`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Changelog

Version | Description
--- | ---
2.1.0 | Added optional fit parameter. This method now supports proportional scaling. Pass zero as either parameter for proportional scaling.

Imagick::sampleImage
Imagick::segmentImage
Imagick
PHP Manual